package gmt.protocol.std;

public class STD7Msg {
	private String message1;
	private String message2;
	private String extendMsg1;
	private String extendMsg2;
	private String extendMsg3;
	private String extendMsg41;
	private String extendMsg5;
	private String extendMsg6;
	private String extendMsg7;
	private String extendMsg8;
	
	public STD7Msg() {
		clear();
	}
	
	public void clear() {
		this.message1	 = "";   
		this.message2	 = "";   
		this.extendMsg1	 = ""; 
		this.extendMsg2	 = ""; 
		this.extendMsg3	 = ""; 
		this.extendMsg41 = "";
		this.extendMsg5	 = ""; 
		this.extendMsg6	 = ""; 
		this.extendMsg7	 = ""; 
		this.extendMsg8	 = ""; 		
	}

	public String getMessage1() {
		return message1;
	}

	public String getMessage2() {
		return message2;
	}

	public String getExtendMsg1() {
		return extendMsg1;
	}

	public String getExtendMsg2() {
		return extendMsg2;
	}

	public String getExtendMsg3() {
		return extendMsg3;
	}

	public String getExtendMsg41() {
		return extendMsg41;
	}

	public String getExtendMsg5() {
		return extendMsg5;
	}

	public String getExtendMsg6() {
		return extendMsg6;
	}

	public String getExtendMsg7() {
		return extendMsg7;
	}

	public String getExtendMsg8() {
		return extendMsg8;
	}

	public void setMessage1(String message1) {
		this.message1 = message1;
	}

	public void setMessage2(String message2) {
		this.message2 = message2;
	}

	public void setExtendMsg1(String extendMsg1) {
		this.extendMsg1 = extendMsg1;
	}

	public void setExtendMsg2(String extendMsg2) {
		this.extendMsg2 = extendMsg2;
	}

	public void setExtendMsg3(String extendMsg3) {
		this.extendMsg3 = extendMsg3;
	}

	public void setExtendMsg41(String extendMsg41) {
		this.extendMsg41 = extendMsg41;
	}

	public void setExtendMsg5(String extendMsg5) {
		this.extendMsg5 = extendMsg5;
	}

	public void setExtendMsg6(String extendMsg6) {
		this.extendMsg6 = extendMsg6;
	}

	public void setExtendMsg7(String extendMsg7) {
		this.extendMsg7 = extendMsg7;
	}

	public void setExtendMsg8(String extendMsg8) {
		this.extendMsg8 = extendMsg8;
	}
}
